/***
	Copyright (c) 2008-2011 CommonsWare, LLC
	
	Licensed under the Apache License, Version 2.0 (the "License"); you may
	not use this file except in compliance with the License. You may obtain
	a copy of the License at
		http://www.apache.org/licenses/LICENSE-2.0
	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
*/

package com.commonsware.android.fonts;

import android.app.Activity;
import android.graphics.Typeface;
import android.os.Bundle;
import android.os.Environment;
import android.view.View;
import android.widget.TextView;
import java.io.File;

public class FontSampler extends Activity {
	@Override
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		setContentView(R.layout.main);
		
		TextView tv=(TextView)findViewById(R.id.custom);
		Typeface face=Typeface.createFromAsset(getAssets(),
																						"fonts/HandmadeTypewriter.ttf");
		
		tv.setTypeface(face);
		
		File font=new File(Environment.getExternalStorageDirectory(),
											 "MgOpenCosmeticaBold.ttf");
		
		if (font.exists()) {
			tv=(TextView)findViewById(R.id.file);
			face=Typeface.createFromFile(font);
			
			tv.setTypeface(face);
		}
		else {
			findViewById(R.id.filerow).setVisibility(View.GONE);
		}
	}
}
